TypeScript
import { Autumn } from 'autumn-js';
const autumn = new Autumn();
const { data, error } = await autumn.features.get('feature_id');{
"id": "<string>",
"name": "<string>",
"display": {
"singular": "<string>",
"plural": "<string>"
},
"credit_schema": [
{
"metered_feature_id": "<string>",
"credit_cost": 123
}
],
"archived": true
}Features
Get Feature
GET
/
features
/
{feature_id}
TypeScript
import { Autumn } from 'autumn-js';
const autumn = new Autumn();
const { data, error } = await autumn.features.get('feature_id');{
"id": "<string>",
"name": "<string>",
"display": {
"singular": "<string>",
"plural": "<string>"
},
"credit_schema": [
{
"metered_feature_id": "<string>",
"credit_cost": 123
}
],
"archived": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
The ID of the feature, used to refer to it in other API calls like /track or /check.
Available options:
boolean, single_use, continuous_use, credit_system The name of the feature.
Singular and plural display names for the feature.
Show child attributes
Show child attributes
Credit cost schema for credit system features.
Show child attributes
Show child attributes
Whether or not the feature is archived.
⌘I

